/*
 * Copyright (c) Camden Dixie O'Brien
 * SPDX-License-Identifier: AGPL-3.0-only
 */

#define MAXITER 1000

// Pretty Julia set zoom
//#define SS 9
//#define JULIA
//#define JULIA_C_RE 0.285
//#define JULIA_C_IM 0.010
//#define CENTRE_RE -0.47353731
//#define CENTRE_IM -0.18894516
//#define ZOOMRATE 0.01

// Cool zoomy swirly animated Julia set
//#define SS 9
//#define JULIA
//#define JULIA_C_RE 0.300
//#define JULIA_DTHETA 0.00001
//#define ZOOMRATE 0.0004

// Nice Mandelbrot zoom
//#define SS 9
//#define CENTRE_RE -0.743643887
//#define CENTRE_IM  0.131825904
//#define ZOOMRATE 0.004

// Cool warping Mandelbrot zoom
//#define SS 4
//#define CENTRE_RE -0.900000000
//#define POWRATE 0.0001
//#define ZOOMRATE 0.001

// Funky swirly, warping Julia zoom
//#define SS 9
//#define JULIA
//#define JULIA_C_RE 0.5
//#define JULIA_C_IM 0.5
//#define CENTRE_RE 0.5
//#define CENTRE_IM -0.5
//#define JULIA_DTHETA -0.00002
//#define POWRATE 0.0001
//#define ZOOMRATE 0.0003

// Cool tendril stuff (complex power)
//#define SS 4
//#define CPOW_DTHETA 0.000
//#define MAXMAG 100.0
//#define CENTRE_RE -0.84880415
//#define CENTRE_IM  0.03921157
//#define CPOW_START_RE 1.96550429
//#define CPOW_START_IM 0.36985874
//#define ZOOMRATE 0.01

// ??
//#define SS 4
//#define THING
//#define JULIA_C_RE -0.9999999506519784
//#define JULIA_C_IM 3.141592601914583e-4
//#define JULIA_DTHETA 0.00001
//#define MAXMAG 100.0
//#define STARTSCALE 4
//#define ZOOMRATE 0.01

// Funky complex power julia set
#define SS 4
#define JULIA
#define JULIA_C_RE -0.010
#define JULIA_C_IM 0.285
#define JULIA_DTHETA 0.0001
#define CPOW_START_RE 0.0
#define CPOW_START_IM 2.0
#define CPOW_DTHETA 0.0001
#define MAXMAG 100.0
#define STARTSCALE 1
